Geometry > Geometry Commands > Helix

Helix
Create a solid, surface, or curve helix (coil) with a circular cross section in 3D.
Syntax
model.geom(<tag>).create(<ftag>,"Helix");
model.geom(<tag>).feature(<ftag>).set(property,<value>);
model.geom(<tag>).feature(<ftag>).getType(property);
Description
Use model.geom(<tag>).create(<ftag>,"Helix") to create a helix. The following properties are available:
Direction of the helix axis. Vector has length 3 if axistype is cartesian, and length 2 if axistype is spherical.
x | y | z | cartesian | spherical
right | left
paraaxis | perpaxis | perpspine
bezier | spline
solid | surface
on | off
on | off
all | obj | dom | bnd | edg | pnt | off
Show selections, if selresult is on, of resulting objects in physics, materials, and so on, or in part instances. obj is not available in a component’s geometry. dom, bnd, and edg are not available in all features.
For information about the selresult and contributeto properties, see Selections of Geometric Entities.
Example
The following sequence generates a surface helix and a solid helix:
Code for use with Java
Model model = ModelUtil.create("Model1");
GeomSequence g = model.geom().create("geom1",3);
GeomFeature h = g.create("h1","Helix");
h.set("type","surface");
h.set("rmaj",2);
h.set("rmin",0.3);
h.set("axialpitch",1);
 
GeomFeature h2 = g.create("h2","Helix");
h2.set("rmaj",10);
h2.set("rmin",2);
h2.set("axialpitch",1);
h2.set("pos","0,0,-100");
h2.set("axis","1,1,1");
h2.set("rot",60);
g.run();
Code for use with MATLAB
model = ModelUtil.create('Model1');
g = model.geom.create('geom1',3);
h = g.create('h1','Helix');
h.set('type','surface');
h.set('rmaj',2);
h.set('rmin',0.3);
h.set('axialpitch',1);
 
h2 = g.create('h2','Helix');
h2.set('rmaj',10);
h2.set('rmin',2);
h2.set('axialpitch',1);
h2.set('pos','0,0,-100');
h2.set('axis','1,1,1');
h2.set('rot',60);
g.run;
See Also
 Torus, Sweep